<template>
  <div class="d-flex flex-column h-100 w-100 position-absolute">
    <div class="d-flex justify-content-between opacity-0 placeholders">
      <side-choice  :text="currentCard.left"
                    side="left"/>
      <side-choice  :text="currentCard.right"
                    side="right"/>
    </div>

    <div class="deck-background rounded flex-grow-1 my-2 center-container">
      <router-link to="/">
        <button class="btn text-white start-over"
                v-if="ended">
          start over
        </button>
      </router-link>
    </div>

    <div class="d-flex justify-content-center opacity-0">
      <side-choice  :text="currentCard.bottom"
                    side="bottom"/>
    </div>
  </div>
</template>

<script>
import SideChoice from '@/components/cards/SideChoice'

export default {
  name: 'deck-background',
  components: { SideChoice },
  props: ['currentCard', 'ended'],
  methods: {
  }
}
</script>

<style scoped>

.deck-background {
  background-color: #0000004f;
  top: 0;
  max-height: var(--card_height);
  height: var(--card_height);
  min-height: var(--card_height);
}

.opacity-0 {
  opacity: 0;
}

.start-over {
  background-color: var(--brain_main);
}
</style>
